CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-3571

OpenSSL before 0.9.8zd, 1.0.0 before 1.0.0p, and 1.0.1 before 1.0.1k allows remote attackers to cause a denial of service (NULL pointer dereference and application crash) via a crafted DTLS message that is processed with a different read operation for the handshake header than for the handshake body, related to the dtls1_get_record function in d1_pkt.c and the ssl3_read_n function in s3_pkt.c.
Publish Date : 2015-01-08 Last Update Date : 2017-08-08
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID CWE id is not defined for this vulnerability

- Related OVAL Definitions

Title Definition Id Class Family
Potential security vulnerabilities have been identified with HP-UX running OpenSSL. These vulnerabilities could be ... oval:org.mitre.oval:def:28778 unix
RHSA-2015:0066: openssl security update (Moderate) oval:com.redhat.rhsa:def:20150066 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2014-3571

# Product Type Vendor Product Version Update Edition Language
1 Application Openssl Openssl 0.9.8zc Version Details Vulnerabilities
2 Application Openssl Openssl 1.0.0i Version Details Vulnerabilities
3 Application Openssl Openssl 1.0.0d Version Details Vulnerabilities
4 Application Openssl Openssl 1.0.0o Version Details Vulnerabilities
5 Application Openssl Openssl 1.0.0j Version Details Vulnerabilities
6 Application Openssl Openssl 1.0.0e Version Details Vulnerabilities
7 Application Openssl Openssl 1.0.0k Version Details Vulnerabilities
8 Application Openssl Openssl 1.0.0f Version Details Vulnerabilities
9 Application Openssl Openssl 1.0.0a Version Details Vulnerabilities
10 Application Openssl Openssl 1.0.0l Version Details Vulnerabilities
11 Application Openssl Openssl 1.0.0g Version Details Vulnerabilities
12 Application Openssl Openssl 1.0.0b Version Details Vulnerabilities
13 Application Openssl Openssl 1.0.0m Version Details Vulnerabilities
14 Application Openssl Openssl 1.0.0h Version Details Vulnerabilities
15 Application Openssl Openssl 1.0.0c Version Details Vulnerabilities
16 Application Openssl Openssl 1.0.0n Version Details Vulnerabilities
17 Application Openssl Openssl 1.0.1a Version Details Vulnerabilities
18 Application Openssl Openssl 1.0.1f Version Details Vulnerabilities
19 Application Openssl Openssl 1.0.1e Version Details Vulnerabilities
20 Application Openssl Openssl 1.0.1j Version Details Vulnerabilities
21 Application Openssl Openssl 1.0.1d Version Details Vulnerabilities
22 Application Openssl Openssl 1.0.1i Version Details Vulnerabilities
23 Application Openssl Openssl 1.0.1c Version Details Vulnerabilities
24 Application Openssl Openssl 1.0.1h Version Details Vulnerabilities
25 Application Openssl Openssl 1.0.1b Version Details Vulnerabilities
26 Application Openssl Openssl 1.0.1g Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Openssl Openssl 26

- References For CVE-2014-3571

http://rhn.redhat.com/errata/RHSA-2015-0066.html
REDHAT RHSA-2015:0066
https://github.com/openssl/openssl/commit/feba02f3919495e1b960c33ba849e10e77d0785d CONFIRM
https://www.openssl.org/news/secadv_20150108.txt CONFIRM
https://kc.mcafee.com/corporate/index?page=content&id=SB10108 CONFIRM
https://support.apple.com/HT204659 CONFIRM
http://www.oracle.com/technetwork/topics/security/cpujul2015-2367936.html CONFIRM
https://kc.mcafee.com/corporate/index?page=content&id=SB10102 CONFIRM
http://marc.info/?l=bugtraq&m=142496289803847&w=2
HP SSRT101885
https://github.com/openssl/openssl/commit/248385c606620b29ecc96ca9d3603463f879652b CONFIRM
http://www.securityfocus.com/bid/71937
BID 71937 OpenSSL 'dtls1_get_record()' Function NULL Pointer Dereference Denial of Service Vulnerability Release Date:2017-04-26
http://www.securitytracker.com/id/1033378
SECTRACK 1033378
https://bto.bluecoat.com/security-advisory/sa88 CONFIRM
http://marc.info/?l=bugtraq&m=144050254401665&w=2
HP HPSBMU03413
http://www.mandriva.com/security/advisories?name=MDVSA-2015:019
MANDRIVA MDVSA-2015:019
http://www.oracle.com/technetwork/topics/security/cpuoct2015-2367953.html CONFIRM
http://www.oracle.com/technetwork/topics/security/bulletinjan2015-2370101.html CONFIRM
http://www.oracle.com/technetwork/topics/security/cpuapr2015-2365600.html CONFIRM
http://www.oracle.com/technetwork/security-advisory/cpuoct2016-2881722.html CONFIRM
http://www.oracle.com/technetwork/security-advisory/cpujul2017-3236622.html CONFIRM
http://marc.info/?l=bugtraq&m=144050297101809&w=2
HP HPSBMU03397
http://marc.info/?l=bugtraq&m=142496179803395&w=2
HP HPSBUX03162
http://www.mandriva.com/security/advisories?name=MDVSA-2015:062
MANDRIVA MDVSA-2015:062
http://www.debian.org/security/2015/dsa-3125
DEBIAN DSA-3125
http://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20150310-ssl
CISCO 20150310 Multiple Vulnerabilities in OpenSSL (January 2015) Affecting Cisco Products
http://marc.info/?l=bugtraq&m=144050205101530&w=2
HP HPSBMU03396
http://marc.info/?l=bugtraq&m=144050155601375&w=2
HP HPSBMU03409
http://marc.info/?l=bugtraq&m=143748090628601&w=2
HP HPSBMU03380
http://marc.info/?l=bugtraq&m=142895206924048&w=2
HP HPSBOV03318
http://marc.info/?l=bugtraq&m=142721102728110&w=2
HP HPSBHF03289
http://lists.opensuse.org/opensuse-security-announce/2015-05/msg00026.html
SUSE SUSE-SU-2015:0946
http://lists.opensuse.org/opensuse-security-announce/2015-01/msg00021.html
SUSE openSUSE-SU-2015:0130
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00011.html
SUSE openSUSE-SU-2016:0640
http://lists.fedoraproject.org/pipermail/package-announce/2015-January/147938.html
FEDORA FEDORA-2015-0512
http://lists.fedoraproject.org/pipermail/package-announce/2015-January/148363.html
FEDORA FEDORA-2015-0601
http://lists.apple.com/archives/security-announce/2015/Apr/msg00001.html
APPLE APPLE-SA-2015-04-08-2
http://www.oracle.com/technetwork/security-advisory/cpujul2016-2881720.html CONFIRM

- Metasploit Modules Related To CVE-2014-3571

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.